Sometimes the status windows don't exit, leaving nautilus dead

Bug #519661 reported by Martin Owens on 2010-02-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ground Control
High
Martin Owens

Bug Description

When performing some very quick operations, the status windows get stuck, they have no content in them but even exiting them doesn't bring nautilus back and everything continues to be disabled. The log isn't much help:

02-10 01:29 root DEBUG Commit/Push (28/27).
02-10 01:29 root DEBUG -- Poll Start status_window --
02-10 01:29 root DEBUG Starting new GTK Main Loop.
02-10 01:29 root DEBUG Running bzr push on /home/doctormo/Projects/python/ground-control/debianfiles
02-10 01:29 bzr INFO Pushed up to revision 28.
02-10 01:29 root DEBUG -- Poll Quit status_window --
02-10 01:29 root DEBUG Calling callback function for window
02-10 01:29 root DEBUG Updated: Getting a new Nautilus widget
02-10 01:29 root DEBUG Loaded project groundcontrol
02-10 01:29 root DEBUG Transporting from '/home/doctormo/Projects/python/ground-control/debianfiles'
02-10 01:29 root DEBUG Commit/Push (28/28).
02-10 01:29 root DEBUG Quit 'status_window' Main Loop.

Related branches

Martin Owens (doctormo) on 2010-02-11
Changed in groundcontrol:
importance: Critical → High
Martin Owens (doctormo) on 2010-02-16
Changed in groundcontrol:
status: Confirmed → Fix Committed
assignee: nobody → Martin Owens (doctormo)
milestone: none → 1.5
Martin Owens (doctormo) on 2010-02-16
Changed in groundcontrol:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers